Add group member

post/v1/organizations/{organizationId}/groups/{groupId}/members
MCP ToolWrite
Page View

Access control endpoints allow you to review and manage user role assignments. Organization and environment roles are managed separately. Furthermore, a user’s organizational role doesn't impact their assigned environment role, and vice versa. Learn about roles.

Generally, organization owners or admins can retrieve, assign, update, or remove role assignments. However, only organization owners can assign or remove organization roles specifically.

Assign or add an organization role

We don't currently support assigning an organization role (i.e., adding a user to an organization) in the Redox dashboard. Learn how to add a user.

Add group member

Coming soon

This feature is coming soon, so you won’t see it live in a production environment just yet. Stay tuned for the release!

Add an organization member to the specified group.

The user immediately gains the group’s access level. You can’t add members to a group whose organization role has permissions you don't hold.

To add several users at once, use the Update group request with members.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/organizations/{organizationId}/groups/{groupId}/members' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json' \
5
--header 'content-type: application/json' \
6
--data '{
7
"user": {
8
"id": 0
9
}
10
}'

Path Parameters

  • organizationId
    required, string

    Identifies the Redox organization that you're operating in or on behalf of.

  • groupId
    required, string

    Contains the unique identifier of the group.

Request Body Schema

    Contains the user to add to or remove from the group.

  • user
    required, object
    • id
      required, integer

      Contains the unique identifier of the user.

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0"
4
},
5
"payload": {
6
"success": true
7
}
8
}
  • meta
    object
    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

  • payload
    object

    Contains the payload with details about the requested environment memberships.

    • success
      boolean

      Displays the status of the request.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.